EDIT - bug #8517

SpecimenOrObservation: data from protected titleCache missig in portal pages
09/03/2019 06:51 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.10

Severity: normal Found in Version:

Description

The following portal pages are missing to show data from protected SpecimenOrObservation.titleCaches:

® Registration page (e.g: https://www.phycobank.org/cdm_dataportal/registration?identifier=http%3A//phycobank.org/9924)
¢ specimen page (e.g.: https://www.phycobank.org/cdm_dataportal/occurrence/77d83237-a5ae-4a30-810f-61497ce040ee)

Related issues:
Related to EDIT - task #9678: Remove Derived- and FieldUnitFacadeCacheStrategies Closed

Associated revisions

Revision c487ac2e - 09/04/2019 11:56 AM - Andreas Kohlbecker
ref #8517 DerivedUnitFacadeCacheStrategy handling protected FieldUnit title caches correctly

Revision 10fda345 - 11/19/2019 04:42 PM - Andreas Miiller
ref #8517 handle protected fieldunit tittecache in DerivedUnitFacadeFieldUnitCacheStrategy and not in DerivedUnitFacadeCacheStrategy

Revision cd10bbf6 - 11/19/2019 05:19 PM - Andreas Miiller
ref #8517 handle protected fieldunit tittecache in DerivedUnitFacadeFieldUnitCacheStrategy and not in DerivedUnitFacadeCacheStrategy - fix

compile error

History

#1 - 09/03/2019 06:52 PM - Andreas Kohlbecker

- Description updated

#2 - 09/04/2019 11:55 AM - Andreas Kohlbecker

- Category changed from cdm-dataportal to cdm

this is actually a problem in the DerivedUnitFacadeCacheStrategy which misses to respect protected FieldUnit title caches.

#3 - 09/04/2019 11:57 AM - Andreas Kohlbecker
- Status changed from New to Resolved
- Assignee changed from Andreas Kohlbecker to Andreas Miller

- % Done changed from 0 to 50

please review

#4 - 09/18/2019 01:39 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miller to Andreas Kohlbecker

This seems to work but handling the protected title cache of the field unit in the derivedunit cachestrategy to me does not look so clean.
Shouldn't instead the getFieldData method of the fieldunit cachestrategy handle the protected cache?

#5 - 09/23/2019 01:06 PM - Andreas Miiller

- Category changed from cdm to cdmlib
https://www.phycobank.org/cdm_dataportal/registration?identifier=http%3A//phycobank.org/9924
https://www.phycobank.org/cdm_dataportal/occurrence/77d83237-a5ae-4a30-810f-61497ce040ee

#6 - 11/15/2019 01:43 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Andreas Mtiller
Andreas Muller wrote:
This seems to work but handling the protected title cache of the field unit in the derivedunit cachestrategy to me does not look so clean.

Shouldn't instead the getFieldData method of the fieldunit cachestrategy handle the protected cache?

This issue is about a problem in the DerivedUnitFacadeCacheStrategy is don' see how the FieldUnitCacheStrategy would help in this case.

#7 - 11/19/2019 04:46 PM - Andreas Miiller
- Status changed from Feedback to Resolved

- Assignee changed from Andreas Muiller to Andreas Kohlbecker
Sorry, | was not exact in my comment. | meant to move it from DerivedUnitFacadeCacheStrategy to DerivedUnitFacadeFieldUnitCacheStrategy.

| tried to implement this in 10fda345 . Can you please review and test (I have not tested).

The new implementation also works in a pure DerivedUnitFacadeFieldUnitCacheStrategy (e.g. FieldUnits in BulkEditor) context therefore | think is
solves the problem a bit more generic.

#8 - 06/25/2021 10:32 AM - Andreas Miiller
- Description updated
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

The above links work as expected so | think we can close this ticket. Please reopen if you think there is something left to do.

#9 - 06/25/2021 10:34 AM - Andreas Miiller
- Related to task #9678: Remove Derived- and FieldUnitFacadeCacheStrategies added
